commit:     276220248a5d97a428a70ed5456edcbbb19414b6
Author:     Chris Gianelloni <wolf31o2 <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  5 20:29:02 2008 +0000
Commit:     Pavlos Ratis <dastergon <AT> gentoo <DOT> org>
CommitDate: Thu Jun  5 20:29:02 2008 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/games.git;a=commit;h=27622024

Moving games-arcade/marbleblast-demo from my overlay into the games overlay.

svn path=/; revision=12

---
 games-arcade/marbleblast-demo/ChangeLog            | 30 +++++++++++++++
 games-arcade/marbleblast-demo/Manifest             |  4 ++
 .../marbleblast-demo/marbleblast-demo-1.3.ebuild   | 44 ++++++++++++++++++++++
 games-arcade/marbleblast-demo/metadata.xml         | 28 ++++++++++++++
 profiles/categories                                |  1 +
 5 files changed, 107 insertions(+)

diff --git a/games-arcade/marbleblast-demo/ChangeLog 
b/games-arcade/marbleblast-demo/ChangeLog
new file mode 100644
index 0000000..e3da0d6
--- /dev/null
+++ b/games-arcade/marbleblast-demo/ChangeLog
@@ -0,0 +1,30 @@
+# ChangeLog for games-arcade/marbleblast-demo
+# Copyright 2000-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-arcade/marbleblast-demo/ChangeLog,v 
1.4 2006/09/19 18:56:41 wolf31o2 Exp $
+
+  19 Sep 2006; Chris Gianelloni <wolf3...@gentoo.org>
+  marbleblast-demo-1.3.ebuild:
+  Adding strip to RESTRICT for bug #137819.
+
+  13 Apr 2006; Chris Gianelloni <wolf3...@gentoo.org>
+  marbleblast-demo-1.3.ebuild:
+  Fixed marbleblastdemo/marbleblast-demo thanks to stupid epkgmove.
+
+*marbleblast-demo-1.3 (13 Apr 2006)
+
+  13 Apr 2006; Chris Gianelloni <wolf3...@gentoo.org> +metadata.xml,
+  +marbleblast-demo-1.3.ebuild:
+  Moved from games-arcade/marbleblastdemo to games-arcade/marbleblast-demo.
+
+  21 Sep 2005; Chris Gianelloni <wolf3...@gentoo.org>
+  marbleblastdemo-1.3.ebuild:
+  Changed check_license to explicitly list license to check.
+
+  11 Aug 2005; Olivier CrĂȘte <tes...@gentoo.org>
+  marbleblastdemo-1.3.ebuild:
+  Marked ~amd64, closes bug #102167, thanks to meetra for testing
+
+*marbleblastdemo-1.3 (07 Oct 2003)
+
+  07 Oct 2003; Mike Frysinger <vap...@gentoo.org> :
+  Initial import.  Ebuild submitted by me.

diff --git a/games-arcade/marbleblast-demo/Manifest 
b/games-arcade/marbleblast-demo/Manifest
new file mode 100644
index 0000000..9d801b8
--- /dev/null
+++ b/games-arcade/marbleblast-demo/Manifest
@@ -0,0 +1,4 @@
+DIST MarbleBlastDemo-1.3.sh.bin 10800892 RMD160 
c2b54e5906c80489ba5202e01225546e036ee72e SHA1 
e911a072b17ea828e1dc210d1ab6010742f15615 SHA256 
84d547df84ce2fdc82eb0316ff737d4ae1b1bf50ce4541870847b51de6bfd1a4
+EBUILD marbleblast-demo-1.3.ebuild 1090 RMD160 
64241af46554cc1e4d8907af538c4f10f8972f5b SHA1 
e8e53222965a5fa759c2088fd9a33ab0c14ec906 SHA256 
c4a462c00699da12efcb657b90a9a24dcb443aba59187078596e23046f655f24
+MISC ChangeLog 1156 RMD160 aa3c4987f15a70f162bc4de148d7844026645bcc SHA1 
f7bf21658b34bb3c27c72c648cd166d3b23b494b SHA256 
21f1e2e60e275e14e56ee2e6bb97bf96bd8682bfb360f532379e4b504ad481fb
+MISC metadata.xml 1378 RMD160 35294390c1bdfc0519d080ec213a721980d63e52 SHA1 
89bd9f81d99b212f51a42014ee304938be8b4dc7 SHA256 
c37cbb7e8b2ebc1664d6f146f552c0342295e4165e66eac4941d12171139f061

diff --git a/games-arcade/marbleblast-demo/marbleblast-demo-1.3.ebuild 
b/games-arcade/marbleblast-demo/marbleblast-demo-1.3.ebuild
new file mode 100644
index 0000000..c65fd26
--- /dev/null
+++ b/games-arcade/marbleblast-demo/marbleblast-demo-1.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: 
/var/cvsroot/gentoo-x86/games-arcade/marbleblast-demo/marbleblast-demo-1.3.ebuild,v
 1.4 2006/09/19 18:56:41 wolf31o2 Exp $
+
+inherit eutils games
+
+DESCRIPTION="race marbles through crazy stages"
+HOMEPAGE="http://www.garagegames.com/pg/product/view.php?id=3";
+SRC_URI="ftp://ggdev-1.homelan.com/marbleblast/MarbleBlastDemo-${PV}.sh.bin";
+
+LICENSE="MARBLEBLAST"
+SLOT="0"
+KEYWORDS="-* ~amd64 x86"
+RESTRICT="strip"
+IUSE=""
+
+DEPEND=""
+
+GAMES_CHECK_LICENSE="yes"
+dir=${GAMES_PREFIX_OPT}/${PN}
+Ddir=${D}/${dir}
+
+S=${WORKDIR}
+
+src_unpack() {
+       unpack_makeself
+       tar -zxf MarbleBlast.tar.gz -C "${T}" || die "extracting 
MarbleBlast.tar.gz"
+}
+
+src_install() {
+       insinto "${dir}"
+       exeinto "${dir}"
+       for i in common lib marble
+       do
+               doins -r "${T}"/${i} || die "copying ${i}"
+       done
+       doins "${T}"/main.cs
+       doexe bin/Linux/x86/marbleblastdemo "${T}"/marbleblastdemo.bin
+       games_make_wrapper marbleblast-demo ./marbleblastdemo "${dir}" "${dir}"
+
+       dodoc "${T}"/README_DEMO.txt
+
+       prepgamesdirs
+}

diff --git a/games-arcade/marbleblast-demo/metadata.xml 
b/games-arcade/marbleblast-demo/metadata.xml
new file mode 100644
index 0000000..f0e38de
--- /dev/null
+++ b/games-arcade/marbleblast-demo/metadata.xml
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>games</herd>
+<longdescription>
+Marble Blast is an arcade action game with simple yet addictive gameplay, 
+suitable for players of any age. In the rich cartoon landscape of Marble 
+Blast, players will race their marbles through moving platforms, dangerous 
+hazards, sparkling treasures and power up enhancements in an effort to 
+complete each course in record time.
+
+Marble Blast introduces new players to the game with a set of 
+progressively more difficult beginner training levels, each designed to 
+showcase a power up or game hazard. The hazards players will face in 
+Marble Blast include powerful fans, whirling tornados, land mines, 
+pinball-style bumpers, narrow catwalks, moving pistons, dizzying chasms, 
+and more.
+
+To get past these obstacles, players can find and use five different 
+ability enhancing power ups - the SuperSpeed, SuperJump, SuperBounce, 
+Shock Asbsorber and Gyrocopter. Some levels contain gravity modifiers, 
+which allow the player to change the direction of gravity.
+
+Marble Blast comes with 72 whimsical and challenging levels, as well as 
+the ability for advanced players to craft and share their own levels. 
+Marble Blast is sure to provide many hours of fun for the whole family.
+</longdescription>
+</pkgmetadata>

diff --git a/profiles/categories b/profiles/categories
index 836fdb8..cdcad81 100644
--- a/profiles/categories
+++ b/profiles/categories
@@ -1,2 +1,3 @@
+games-arcade
 games-fps
 games-roguelike

Reply via email to